Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.eviware.soapui.model.iface
Enum Attachment.AttachmentType

    java.lang.Object
      java.lang.Enum<Attachment.AttachmentType>
          com.eviware.soapui.model.iface.Attachment.AttachmentType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Attachment.AttachmentType>

Enclosing interface:
  Attachment

    public static enum Attachment.AttachmentType

extends java.lang.Enum<Attachment.AttachmentType>

Enum Constant Summary
`CONTENT`
`MIME`
`SWAREF`
`UNKNOWN`
`XOP`

Method Summary
`static Attachment.AttachmentType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Attachment.AttachmentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MIME

    public static final Attachment.AttachmentType MIME

### XOP

    public static final Attachment.AttachmentType XOP

### CONTENT

    public static final Attachment.AttachmentType CONTENT

### SWAREF

    public static final Attachment.AttachmentType SWAREF

### UNKNOWN

    public static final Attachment.AttachmentType UNKNOWN

Method Detail

### values

    public static final Attachment.AttachmentType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Attachment.AttachmentType c : Attachment.AttachmentType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Attachment.AttachmentType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.